Subject: [os2genau_digest] No. 1528
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 7 Aug 2007 00:01:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 06 August 2007
 Number  1528
**************************************************

Subjects for today
 
1   Firefox 2006 broken website problem : John Angelico" <talldad at kepl dot com dot au>
2  Re:  Firefox 2006 broken website problem : Paul Smedley <paul at smedley.info>
3  Re:  Firefox 2006 broken website problem : Ian Manners" <deadmail>
4  Re:  Help with HPFS386 crash : <andrew.hood2 at bigpond dot com>
5  Re:  Firefox 2006 broken website problem : Leigh Bunting <vh_gdn at internode.on dot net>
6  Re:  Firefox 2006 broken website problem : Ed Durrant <edurrant at virginbroadband dot com dot au>
7  Re:  Firefox 2006 broken website problem : John Angelico" <talldad at kepl dot com dot au>
8  Re:  Firefox 2006 broken website problem : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
9   AIX Samba to OS/2 Domain : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 04 Aug 2007 22:39:49 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:   Firefox 2006 broken website problem

Hi all.

I have a problem with a website that crashes my Firefox 2.006 before it
completes loading.

Therefore I can't report it as a broken website in the Help menu.

The site is 
http://www.news dot com dot au/0,,vic,00.html
and the funny thing is that various "subsidiary" sites eg:
http://www.news dot com dot au/heraldsun/
http://www.news dot com dot au/couriermail/
are OK

More complexities
a) it has only been crashing Firefox since I installed 2006, but now it
also affects all versions on my machine back to 2002.
b) it loads most of the page, but eventually fails somewhere near the end
c) if I start in safe mode OR if I disable all add-ons it crashes Firefox
before rendering anything visibly on screen  

I have also posted this query on the Firefox Forums at Mozilla

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 06 Aug 2007 07:48:26 +0930
From:  Paul Smedley <paul at smedley.info>
Subject:  Re:  Firefox 2006 broken website problem

Hi John,

John Angelico wrote:
> The site is 
> http://www.news dot com dot au/0,,vic,00.html

Note this works fine for me :/

Cheers,

Paul.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 06 Aug 2007 11:17:29 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Firefox 2006 broken website problem

Hi John

>I have a problem with a website that crashes my Firefox 2.006 before it
>completes loading.

>The site is 
>http://www.news dot com dot au/0,,vic,00.html

Try disabling Flash if your using it. I stopped using news dot com dot au
a while ago due to various wierd things happening every now
and then in Seamonkey but it looks ok now.

Other things to try, while Firefox isnt running, all the standard
things you would do on a reinstall. (backup first)

delete your "MOZILLA_HOME\profile\chrome" directory
del MOZILLA_HOME\mozilla\pluginreg.dat
del \firefox\components\compreg.dat
del MOZILLA_HOME\mozilla\Profiles\profile\XUL.mfl
delete your "MOZILLA_HOME\profile\*.rdf"

Locations will vary depending on your setup etc.

Cheers
Ian Manners
http://www.os2site dot com/

Damn. Think I've given away what side I agree on.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 6 Aug 2007 13:29:00 +0930
From:  <andrew.hood2 at bigpond dot com>
Subject:  Re:  Help with HPFS386 crash

---- "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au> wrote: 
> >HPFS 386 is an add-on, on top of HPFS. It consists of additional 
> >directories that control access profiles plus some additional software 
> >daemons that are loaded to manage things. My point is that the base 
> >level format of the harddisk is actually just HPFS. Therefore if you 
> 
> Er, not quite. Mostly correct. HPFS386 does use the base same structures,
> but it does add some extra stuff into the file system (ACL's to be precise)
> that the normal HPFS.IFS does understand.
> 
> The upshot of this is that there are some cases where only the full HPFS386
> can recover itself.
> 
> ACL protected directories (think: IBMLAN\ACCOUNTS etc) will not be visible
> to the base HPFS.

This seems to be correct. Plain Jane HPFS boot disks could read and write to my maint partition and another data/program partition but not the primary OS partition.  HPFS386 boot disks could read/write to the OS partition as well as the others but reported the maint partition as dirty and in need of CHKDSK /F before I used it.
> 
> If it is crashing at the RUNWORKPLACE line then the OS2.ini and OS2SYS.ini
> files may have been hosed.

The story continues: I bit the bullet and deleted the maint partition, remade it and reloaded the OS in minimal form.  All went well and it booted OK but could not read/write the OS partition the same as the boot disks couldn't.  I left it HPFS as I didn't want to muck around with file systems just yet.  I then fixpacked it to FP15 just to get it up to date.  Reboot saw the same DOSCALL1.DLL error that I had before.  I now know where that is coming from so I have to backlevel it and try and work out what is causing the crash.

> 
> What happens when you boot to a CMD.EXE instance?
> 
> (ie no PM).

Booting from HPFS386 bootdisks I could get in and I tried restoring the ini files. This is where my troubles really started.  MAKEINI from the /INSTALL directory refused to do the job (only after I had hosed the existing ini files though).  I remembered I had backups saved in the WPTOOLS folder after the last time I used checkini so transferred them across and tried rebooting.  This time I got several screens full of error messages and a DOSCALL1.DLL error.  By this time it was 0130 so I gave up and went to bed.

> 
> Tools such as the WPSTools suite may fix this.

I couldn't get them to run from the bootdisks for some reason.

> 
> Either that, or restore a previous OS/2 desktop.

I only had the original install one to play with and that crashed due the IFS problem.  This is now another lesson learned.

> 
> To protect against this, I normally run ARCINST (which sets the initial
> install one) and then enable backup archiving and shutdown and reboot three
> times (and then disable it again). That leaves me with three 'good' and up
> to date copies. Be warned though, I have been known to go through all three
> backups and to the initial install one before it has actually worked. Go
> figure. Your mileage may vary.
> 
> -Chris
> 

As you can see I am kinda stuck and am probably going to have to do a re-install on both partitions after I work out why FP15 is causing the machine to crash.  Any suggestions/pointers/hints etc. greatly appreciated

Andrew

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Mon, 06 Aug 2007 20:10:25 +0930
From:  Leigh Bunting <vh_gdn at internode.on dot net>
Subject:  Re:  Firefox 2006 broken website problem

John Angelico wrote:

>The site is 
>http://www.news dot com dot au/0,,vic,00.html
>
Opens with Mozilla 1.7.12 but takes ages to load with all those terrible 
animated ads. Not a site that I'm likely to re-visit in a hurry.

LOL

Leigh Bunting
Colonel Light Gardens
South Australia
<Open Windows and let the bugs in>

----------------------------------------------------------------------------------
 
**= Email   6 ==========================**

Date:  Mon, 06 Aug 2007 20:54:35 +1000
From:  Ed Durrant <edurrant at virginbroadband dot com dot au>
Subject:  Re:  Firefox 2006 broken website problem

Leigh Bunting wrote:
> John Angelico wrote:
>
>> The site is http://www.news dot com dot au/0,,vic,00.html
>>
> Opens with Mozilla 1.7.12 but takes ages to load with all those 
> terrible animated ads. Not a site that I'm likely to re-visit in a hurry.
>
> LOL
>
> Leigh Bunting
> Colonel Light Gardens
> South Australia
Opens fine with Seamonkey v 1.1.3 for me.
----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Mon, 06 Aug 2007 21:29:24 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Firefox 2006 broken website problem

On Mon, 06 Aug 2007 11:17:29 +1000 (EST), Ian Manners wrote:

Hi and thanks all, esp Ian whose mention of Flash gave me a clue.

>Hi John
>
>
>>I have a problem with a website that crashes my Firefox 2.006 before it
>>completes loading.
>
>>The site is 
>>http://www.news dot com dot au/0,,vic,00.html
>
>Try disabling Flash if your using it. I stopped using news dot com dot au
>a while ago due to various wierd things happening every now
>and then in Seamonkey but it looks ok now.

I usually look for the finance section, and only skim the rest of the
headlines.

I don't yet understand the difference between news dot com dot au and the
subsidiary sites for the various mastheads.

>Other things to try, while Firefox isnt running, all the standard
>things you would do on a reinstall. (backup first)

Reviewing FlashBlock settings/Preferences showed me that almost all my
whitelist was gone - possibly a consequence of Safe Mode and disabling all
add-ons. Trap for all players with safe mode, I guess.

So I whitelisted news dot com dot au and it no longer closes Firefox.

Something funny about Flash and FlashBlock I suspect.

>
>delete your "MOZILLA_HOME\profile\chrome" directory
>del MOZILLA_HOME\mozilla\pluginreg.dat
>del \firefox\components\compreg.dat
>del MOZILLA_HOME\mozilla\Profiles\profile\XUL.mfl
>delete your "MOZILLA_HOME\profile\*.rdf"

I haven't done any of this but I would appreciate an understanding of what
these are.

Chrome I dig, and ditto compreg.dat 9shouldn't be there) and pluginreg.dat.

But I don't understand XUL.mfl or all the *.rdf bits.

After all that, my basic question remains for general consumption: how do
we report a website in these circumstances? The Help function can only work
if the page stays in the browser window/tab. 

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Mon, 06 Aug 2007 13:36:59 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  Firefox 2006 broken website problem

Leigh Bunting wrote:
> John Angelico wrote:
>
>> The site is http://www.news dot com dot au/0,,vic,00.html
>>
> Opens with Mozilla 1.7.12 but takes ages to load with all those 
> terrible animated ads. 
Although it loads pretty quick here at the other end of the World 
(SeaMonkey 1.1.3)
> Not a site that I'm likely to re-visit in a hurry.
>
Not even worth the while indeed. You'll spend better your time in a real sauna. :-)
-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   9 ==========================**

Date:  Mon, 06 Aug 2007 21:48:24 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:   AIX Samba to OS/2 Domain

Hi All,
	I'm having some difficulties in getting my AIX box running SAMBA to
talk properly to the OS/2 (WSeB) Domain.

	Can anyone share their smb.conf file with me if they have any unix
client connected to a real OS/2 domain (as opposed to peer to peer)?

	Please feel free to email me if security is a concern.

	Thanks,

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------